cascading.pipe.joiner

## Class MixedJoin.JoinIterator

- java.lang.Object
- - cascading.pipe.joiner.InnerJoin.JoinIterator
  - - cascading.pipe.joiner.OuterJoin.JoinIterator
    - - cascading.pipe.joiner.MixedJoin.JoinIterator

All Implemented Interfaces:
  java.util.Iterator<Tuple>

Enclosing class:
  MixedJoin

    public class MixedJoin.JoinIterator
    extends OuterJoin.JoinIterator

### Constructor Summary

Constructors
Constructor and Description
`MixedJoin.JoinIterator(JoinerClosure closure)`

### Method Summary

Methods
`protected boolean` `isOuter(int i)`

### Methods inherited from class cascading.pipe.joiner.OuterJoin.JoinIterator

`getIterator, init`

### Methods inherited from class cascading.pipe.joiner.InnerJoin.JoinIterator

`hasNext, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MixedJoin.JoinIterator

    public MixedJoin.JoinIterator(JoinerClosure closure)

### Method Detail

#### isOuter

    protected boolean isOuter(int i)

Overrides:
  `isOuter` in class `OuterJoin.JoinIterator`